This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 63776 - remove Toggle breakpoint and Add Watch actions from popup of XML
Summary: remove Toggle breakpoint and Add Watch actions from popup of XML
Status: VERIFIED FIXED
Alias: None
Product: debugger
Classification: Unclassified
Component: Ant (show other bugs)
Version: 5.x
Hardware: All All
: P3 blocker (vote)
Assignee: Martin Entlicher
URL:
Keywords: SIMPLEFIX
Depends on:
Blocks:
 
Reported: 2005-09-07 13:51 UTC by pzajac
Modified: 2005-11-08 14:20 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pzajac 2005-09-07 13:51:27 UTC
[200509051800]
I doesn't seem be usefull to have "Toggle breakpoint" and "Add Watch" items in
popup of xml document.
Comment 1 Roman Ondruska 2005-09-07 15:25:25 UTC
AFAIK this is because of Ant debugger.
Comment 2 _ lcincura 2005-09-08 09:12:56 UTC
This functionality should be restricted only to build scripts.
Comment 3 pzajac 2005-09-08 09:22:06 UTC
There is registered mimetype for build scripts...
org.apache.tools.ant.module.loader.AntProjectDataObject
Comment 4 Jesse Glick 2005-09-08 18:49:18 UTC
Should be trivial.
Comment 5 Martin Entlicher 2005-10-31 17:36:05 UTC
Fixed:

/cvs/ant/debugger/src/org/netbeans/modules/ant/debugger/breakpoints/AntBreakpointActionProvider.java,v
 <--  AntBreakpointActionProvider.java
new revision: 1.4; previous revision: 1.3

/cvs/ant/debugger/src/org/netbeans/modules/ant/debugger/resources/mf-layer.xml,v
 <--  mf-layer.xml
new revision: 1.5; previous revision: 1.4
Comment 6 pzajac 2005-11-08 14:20:46 UTC
v